[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLConnection.GetTableNames

Get a list of the tables in the specified database

## Declaration

Source position: sqldb.pp line 166

`public procedure TSQLConnection.GetTableNames(`
`List: TStrings;`
`SystemTables: Boolean = False`
`); virtual;`

## Arguments

`List` |  | String list in which table names will be returned.
`SystemTables` |  | If True then system table names will also be returned

## Description

GetTableNames will return the names of the tables in the database in List. If SystemTables is True then only the names of system tables will be returned.

List is cleared before adding the names.

Remark: | Note that the list may depend on the access rights of the user.

## See also

TSQLConnection.GetProcedureNames |  | Gets a list of Stored Procedures in the Database
TSQLConnection.GetFieldNames |  | Gets a list of the field names in the specified table

Documentation generated on: Feb 26 2014